%define module  pexpect

Summary:       Unicode-aware Pure Python Expect-like module
Name:          python-%{module}
Version:       4.0.1
Release:       %mkrel 1
Source0:       http://pypi.python.org/packages/source/p/pexpect/pexpect-%{version}.tar.xz
Patch0:        0001-Stop-asyncio-listening-to-pty-once-we-ve-found-what-.patch
License:       MIT
Group:         Development/Python
Url:           http://pypi.python.org/pypi/pexpect
BuildArch:     noarch
BuildRequires: python
BuildRequires: python-devel
BuildRequires: sed
BuildRequires: python-setuptools
BuildRequires: python-ptyprocess
Requires: python-ptyprocess

%description
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

Pexpect can be used for automating interactive applications such as
ssh, ftp, passwd, telnet, etc. It can be used to a automate setup
scripts for duplicating software package installations on different
servers. It can be used for automated software testing. Pexpect is in
the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike
other Expect-like modules for Python, Pexpect does not require TCL or
Expect, nor does it require C extensions to be compiled. It should work
on any platform that supports the standard Python pty module. The
Pexpect interface was designed to be easy to use.

%package -n python3-pexpect
Summary:       Unicode-aware Pure Python Expect-like module for Python 3
Group:         Development/Python
BuildRequires: python3
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-ptyprocess
Requires: python3-ptyprocess

%description -n python3-pexpect
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

Pexpect can be used for automating interactive applications such as
ssh, ftp, passwd, telnet, etc. It can be used to a automate setup
scripts for duplicating software package installations on different
servers. It can be used for automated software testing. Pexpect is in
the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike
other Expect-like modules for Python, Pexpect does not require TCL or
Expect, nor does it require C extensions to be compiled. It should work
on any platform that supports the standard Python pty module. The
Pexpect interface was designed to be easy to use.

%prep
%setup -q -n pexpect-%{version}
%patch0 -p1

%build
%py2_build
%py3_build

%install
rm -rf %buildroot
%py2_install
rm -rf ${buildroot}%{python2_sitelib}/setuptools/tests
find examples -type f -exec chmod a-x \{\} \;
rm -f %{buildroot}%{python2_sitelib}/%{module}/async.py
%py3_install
find examples -type f -exec chmod a-x \{\} \;
rm -rf %{buildroot}%{python3_sitelib}/pexpect/tests


%files 
%doc doc examples LICENSE
%{python2_sitelib}/*

%files -n python3-pexpect
%doc doc examples LICENSE
%{python3_sitelib}/*


%changelog
* Wed Oct 12 2016 adrianomorselli <adrianomorselli> 4.0.1-1uplos2016
- rebuild

* Sun Mar 20 2016 bb <bb> 4.0.1-1pclos2016
- update
